AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- MqttOverWSProvider
  - AWSIoTProvider

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _topicObservers

### Accessors

- clientId
- clientsQueue
- endpoint
- options
- region

### Methods

- configure
- connect
- disconnect
- getCategory
- getProviderName
- getTopicForValue
- newClient
- onDisconnect
- publish
- subscribe

## Constructors

### constructor

- new AWSIoTProvider(options?: MqttProvidertOptions): AWSIoTProvider

- Inherited from MqttOverWSProvider.constructor

  Overrides AbstractPubSubProvider.constructor

  - Defined in pubsub/src/Providers/MqttOverWSProvider.ts:69

  #### Parameters

  - ##### Default value options: MqttProvidertOptions = {}

  #### Returns AWSIoTProvider

## Properties

### Protected _topicObservers

_topicObservers: Map<string, Set<SubscriptionObserver<any>>> = new Map()

Inherited from MqttOverWSProvider._topicObservers

- Defined in pubsub/src/Providers/MqttOverWSProvider.ts:140

## Accessors

### Protected clientId

clientId:

Inherited from MqttOverWSProvider.clientId

- Defined in pubsub/src/Providers/MqttOverWSProvider.ts:75

### Protected clientsQueue

clientsQueue:

Inherited from MqttOverWSProvider.clientsQueue

- Defined in pubsub/src/Providers/MqttOverWSProvider.ts:79

### Protected endpoint

endpoint:

Overrides MqttOverWSProvider.endpoint

- Defined in pubsub/src/Providers/AWSIotProvider.ts:24

### Protected options

options:

Inherited from AbstractPubSubProvider.options

- Defined in pubsub/src/Providers/PubSubProvider.ts:39

### Protected region

region:

- Defined in pubsub/src/Providers/AWSIotProvider.ts:20

## Methods

### configure

- configure(config?: ProvidertOptions): ProvidertOptions

- Inherited from AbstractPubSubProvider.configure

  - Defined in pubsub/src/Providers/PubSubProvider.ts:27

  #### Parameters

  - ##### Default value config: ProvidertOptions = {}

  #### Returns ProvidertOptions

### Protected connect

- connect(clientId: string, options?: MqttProvidertOptions): Promise<any>

- Inherited from MqttOverWSProvider.connect

  - Defined in pubsub/src/Providers/MqttOverWSProvider.ts:115

  #### Parameters

  - ##### clientId: string

  - ##### Default value options: MqttProvidertOptions = {}

  #### Returns Promise<any>

### Protected disconnect

- disconnect(clientId: string): Promise<void>

- Inherited from MqttOverWSProvider.disconnect

  - Defined in pubsub/src/Providers/MqttOverWSProvider.ts:119

  #### Parameters

  - ##### clientId: string

  #### Returns Promise<void>

### getCategory

- getCategory(): string

- Inherited from AbstractPubSubProvider.getCategory

  - Defined in pubsub/src/Providers/PubSubProvider.ts:35

  #### Returns string

### getProviderName

- getProviderName(): string

- Overrides MqttOverWSProvider.getProviderName

  - Defined in pubsub/src/Providers/AWSIotProvider.ts:22

  #### Returns string

### Protected getTopicForValue

- getTopicForValue(value: any): any

- Inherited from MqttOverWSProvider.getTopicForValue

  - Defined in pubsub/src/Providers/MqttOverWSProvider.ts:81

  #### Parameters

  - ##### value: any

  #### Returns any

### newClient

- newClient(__namedParameters: object): Promise<any>

- Inherited from MqttOverWSProvider.newClient

  Overrides AbstractPubSubProvider.newClient

  - Defined in pubsub/src/Providers/MqttOverWSProvider.ts:91

  #### Parameters

  - ##### __namedParameters: object

    - ##### clientId: string

    - ##### url: string

  #### Returns Promise<any>

### onDisconnect

- onDisconnect(__namedParameters: object): void

- Inherited from MqttOverWSProvider.onDisconnect

  - Defined in pubsub/src/Providers/MqttOverWSProvider.ts:85

  #### Parameters

  - ##### __namedParameters: object

    - ##### args: args

    - ##### clientId: any

    - ##### errorCode: any

  #### Returns void

### publish

- publish(topics: string[] | string, msg: any): Promise<void>

- Inherited from MqttOverWSProvider.publish

  Overrides AbstractPubSubProvider.publish

  - Defined in pubsub/src/Providers/MqttOverWSProvider.ts:128

  #### Parameters

  - ##### topics: string[] | string

  - ##### msg: any

  #### Returns Promise<void>

### subscribe

- subscribe(topics: string[] | string, options?: MqttProvidertOptions): Observable<any>

- Inherited from MqttOverWSProvider.subscribe

  Overrides AbstractPubSubProvider.subscribe

  - Defined in pubsub/src/Providers/MqttOverWSProvider.ts:164

  #### Parameters

  - ##### topics: string[] | string

  - ##### Default value options: MqttProvidertOptions = {}

  #### Returns Observable<any>